Fix(build): Include dev dependencies in build script

Change-Id: I3ab179a08a730962e61b951117810f10a9f3c423
diff --git a/build-gerrit.sh b/build-gerrit.sh
index 23d1661..3ae2d9a 100755
--- a/build-gerrit.sh
+++ b/build-gerrit.sh
@@ -54,7 +54,7 @@
 
 # Use uv to compile dependencies into a requirements.txt file with hashes
 echo "Compiling dependencies and generating hashes..."
-if ! uv pip compile pyproject.toml --generate-hashes --output-file ${REQUIREMENTS_FILE} --extra-index-url https://pypi.org/simple; then
+if ! uv pip compile pyproject.toml --generate-hashes --output-file ${REQUIREMENTS_FILE} --extra dev --extra-index-url https://pypi.org/simple; then
     echo -e "\n${RED}Failed to compile dependencies.${NC}"
     exit 1
 fi